<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Theme: TOTHEME
| Filename: theme.php
| Author: HaYaLeT 
| E-mail:piedra1436@hotmail.com
| Web: http://www.hayaletsevgili.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }
define("S_BULLET", "<img src='".THEME."images/s-bullet.png' style='vertical-align:middle;' alt='' />");
define("THEME_BULLET", "<span class='bullet'><img src='".THEME."images/bullet2.gif' style='vertical-align:middle;' alt='' border='0' /></span>");

require_once THEME."functions.php";
require_once INCLUDES."theme_functions_include.php";
add_handler("theme_output");

set_image("author",  THEME."images/info/author.png");
set_image("date",  THEME."images/info/date.png");
set_image("reads",  THEME."images/info/reads.png");
set_image("comments",  THEME."images/info/comments.png");
set_image("readmore",  THEME."images/info/readmore.png");
set_image("edit",  THEME."images/info/edit.png");
set_image("print",  THEME."images/info/printer.png");
function render_page($license = false) {
	
global $settings, $main_style, $locale, $mysql_queries_time;

//Header
echo "<table cellpadding='0' cellspacing='0' width='100%' align='center'>\n<tr>\n";
echo "<td class='login-area' align='right'>";
include THEME."login/login.php";
echo "</td>\n";
echo "</tr>\n</table>\n";

echo "<table cellpadding='0' cellspacing='0' class='en-ust' align='center'>\n<tr>\n<td>\n";
echo "<table cellpadding='0' cellspacing='0' class='header-width' align='center'>\n<tr>\n";
echo "<td class='full-header'><center>\n".showbanners()."</center></td>\n";
echo "</tr>\n</table>\n";
echo "</td>\n</tr>\n</table>\n";
	
echo "<table cellpadding='0' cellspacing='0' class='en-ust-sub' align='center'>\n<tr>\n<td>\n";
echo "<table cellpadding='0' cellspacing='0' class='header-width' align='center'>\n<tr>\n";
echo "<td class='sub-header' align='left'>".showsublinks("".S_BULLET." ", "white")."</td>\n";
echo "<td align='right' class='sub-date'>";
include LOCALE.LOCALESET."search.php";
echo "<form name='searchform1' method='get' action='".BASEDIR."search.php'><input type='text' name='stext' class='searchbox' maxlength='30' style='margin:4px;width:170px'/><input type='submit' name='login' value='' class='search-button'/></form>";
echo "</td>\n";
echo "</tr>\n</table>\n";
echo "</td>\n</tr>\n</table>\n";

//All-Content
echo "<table cellpadding='0' cellspacing='0' class='body-width' align='center'>\n<tr>\n<td>\n";
echo "<table cellpadding='0' cellspacing='0' class='theme-width' align='center'>\n<tr>\n";
if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
echo "</tr>\n</table>\n";
echo "</td>\n</tr>\n</table>\n";

//Footer
echo "<table cellpadding='0' cellspacing='0' class='en-alt' align='center'>\n<tr>\n<td>\n";
echo "<table cellpadding='0' cellspacing='0' class='fot-area' align='center'>\n<tr>\n";
echo "<td class='sub-header-left' align='left'> -[ <font color='#039FAF'>T<font color='#DE2159'>O</font></font><font color='#039FAF'>THEME</font> ]- by <a href='http://www.hayaletsevgili.com'>HaYaLeT </a>  <a href='mailto:piedra1436@hotmail.com'><img src='".THEME."images/mail.gif' alt='' width='11' border='0' /></a>\n</td>\n";
echo "<td class='fot-header' align='center'>";
if (!$license) { echo "<br />\n".showcopyright(); }
echo "</td>\n";
echo "<td class='sub-header-right' align='right' >".showcounter()."<br />\n".showsubdate()."\n</td>\n";
echo "</tr>\n</table>\n";
echo "</td>\n</tr>\n</table>\n";

}

//New in v7.02 - render comments 
function render_comments($c_data, $c_info){
	global $locale, $settings;
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
			foreach($c_data as $data) {
	        $comm_count = "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a>";
			echo "<div class='tbl2 clearfix floatfix'>\n";
			if ($settings['comments_avatar'] == "1") { echo "<span class='comment-avatar'>".$data['user_avatar']."</span>\n"; }
	        echo "<span style='float:right' class='comment_actions'>".$comm_count."\n</span>\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n<br />\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
	if ($data['edit_dell'] !== false) { echo "<br />\n<span class='comment_actions'>".$data['edit_dell']."\n</span>\n"; }
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();   
}

function render_news($subject, $news, $info) { 
global $locale, $settings, $aidlink, $link_class;
if (!isset($_GET['readmore']) && $info['news_ext'] == "y") {
$devam="<table style='margin:4px 5px 0px 0px' align='right'><tr><td>
<a class='button' href='".BASEDIR."news.php?readmore=".$info['news_id']."'>&nbsp;&nbsp;".$locale['global_072']."&nbsp;&nbsp;..&nbsp;</a>
</td></tr></table>"; }
else { 
 $devam=""; 
 }

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='newsmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='news-body middle-border'>".$info['cat_image'].$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
if (!isset($_GET['readmore']) && $info['news_ext'] == "y") {
	echo "<span class='news-info'>".profile_link($info['user_id'], $info['user_name'], $info['user_status']);
	
	if ($info['cat_id']) {
		echo "</span>\n--<span class='news-info' ><a href='news_cats.php?cat_id=".$info['cat_id']."'$link_class>".$info['cat_name']."</a>\n</span>\n";
	} else {
		echo "</span>\n--<span class='news-info' ><a href='news_cats.php?cat_id=0'$link_class>".$locale['global_080']."</a>\n</span>\n";
	}

	echo "--<span class='news-info' >".showdate("newsdate", $info['news_date'])."\n</span>\n";
	echo "--<span class='news-info' >".$info['news_reads']." ".$locale['global_074']."\n</span>\n";

	if ($info['news_allow_comments'] && $settings['comments_enabled'] == "1") { echo "--<span class='news-info' ><a href='".BASEDIR."news.php?readmore=".$info['news_id']."#comments'>".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a>\n</span>\n"; }
	echo "--<span class='news-info' ><a href='".BASEDIR."news.php?readmore=".$info['news_id']."'>".$locale['global_072']."</a>\n</span>\n";
	echo "--<span class='news-info' ><a href='".BASEDIR."print.php?type=N&amp;item_id=".$info['news_id']."'><img src='".get_image("print")."' style='vertical-align:middle;' alt=''/></a>\n</span>\n";

	if (iADMIN && checkrights("N")) {
                echo "--<span class='news-info' ><a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$info['news_id']."'><img src='".get_image("edit")."' style='vertical-align:middle;' alt=''  border='0' /></a>\n</span>\n";
	}

	}
else { 
echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);


}

	echo "</td>\n";
     echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='newsmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='news-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'>";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td class='side-ic-ust'>\n";
	echo "".$title."";
	echo "</td>\n</tr>\n</table>\n";

	echo "</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";


	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	echo "<div class='side-ic-alt'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div>\n";
	
	echo "</td>\n</tr>\n</table>\n";

}

	
?>
